Skip to main content
POST
/
general-leads
/
{generalLeadId}
/
detailed-project-description
Update detailed project description
curl --request POST \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/detailed-project-description \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "detailedProjectDescription": "<string>"
}
'
import requests

url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/detailed-project-description"

payload = { "detailedProjectDescription": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({detailedProjectDescription: '<string>'})
};

fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/detailed-project-description', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": 123,
    "customerName": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateModified": "2023-11-07T05:31:56Z",
    "jobDescription": "<string>",
    "jobAmount": 123,
    "paidAmount": 123,
    "detailedProjectDescription": "<string>",
    "generalLeadStatus": "<string>",
    "specificLeadStatus": "<string>",
    "leadSourceType": "<string>",
    "assignedVendorId": 123,
    "assignedVendorName": "<string>",
    "referrerVendorId": 123,
    "referrerVendorName": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "serviceBoundary": {
      "id": 123,
      "name": "<string>",
      "urlPath": "<string>",
      "cityName": "<string>"
    },
    "contactTime": "<string>",
    "contactMethod": "<string>",
    "leadTimeframe": "<string>",
    "quoteTimeframe": "<string>",
    "projectStage": "<string>",
    "renofindLeadType": "<string>",
    "jobBudget": 123,
    "paymentStatus": "<string>",
    "phoneLead": true,
    "externalNotes": "<string>",
    "essentialInternalNotes": "<string>",
    "requiresAction": true,
    "requireActionReason": "<string>",
    "endCustomer": {
      "id": 123,
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>"
    }
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

generalLeadId
integer<int64>
required

Body

application/json
detailedProjectDescription
string
Maximum string length: 10000

Response

200 - application/json

Description updated

success
boolean
data
object

Full general lead representation with all details including customer info, job details, vendor relations, location, financial info, and communications.

message
string